Subject: Re: Meaning of "fatal: protocol error: bad line length character"?

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 20 Jan 2007 16:37:38 -0500

Junio C Hamano <[email-masked]> wrote:
> Funny thing is, at least in recent enough git, I think we set up
> redirection to force output from hook scripts to stderr, but I
> do not remember when it happened.  Let's see...
> 
> 	...goes and looks...
> 
> That was supposed to have been fixed with commit cd83c74c (Dec
> 30, 2006), but this indicates the fix is not working at all when
> your login shell is tcsh.

Don't tell us tcsh is doing something ugly like opening the tty for
stdout/stderr instead of using the ones it inherited from its parent.
'cause that's just useless!

-- 
Shawn.